/*
 Theme Name:   GeneratePress Child
 Theme URI:    https://generatepress.com
 Description:  Default GeneratePress child theme
 Author:       Tom Usborne
 Author URI:   https://tomusborne.com
 Template:     generatepress
 Version:      0.1
*/

/* GeneratePress Site CSS */
#comments {
	max-width: 1380px;
	margin-inline: auto;
} 
/* End GeneratePress Site CSS */

/* Tabelle im Footer (Öffungszeiten) */
.table-oeffnungszeiten {
	table, tr, td {
		border: 0px
	}
	
	table, tr {
		border-bottom: 0.5px solid var(--standard-weiss);
	}
	
	table, tr:last-child {
	  border: 0px;	
	}
}

/* Teaser Icon Background White 100 Pixel */
.teaser-icon-white svg {
	padding: 20px;
	border-radius: 50%;
    background: var(--standard-weiss);
    width: 100px;
	height: 100px;
}

/* Teaser Icon Background Beige 100 Pixel */
.teaser-icon-beige svg {
	padding: 20px;
	border-radius: 50%;
    background: var(--background-boxen);
    width: 100px;
	height: 100px;
}

/* Margins */
.margin-right-50 {
	margin-right: 50px;
}

.margin-50 {
	margin-right: 50px;
	margin-left: 50px;
}

.margin-100 {
	margin-right: 100px;
	margin-left: 100px;
}

.margin-left-30-percent svg {
	margin-left: 30%;	
}

.margin-left-top-50-percent svg {
    margin-left: 50%;
    margin-top: 50%;
}

/* Links im Footer angepasst */
#keine-auszeichnung-bei-links a {
	text-decoration: none!important;
}

/* Referenz Loop */
.gb-block-is-current {
	font-weight: 600;
}

/* Loop Einstellungen für die Mittagskarte */
.mittagskarte .gb-loop-item {
	border-bottom: 1px solid var(--color-line);
	padding-bottom: 8px;
	margin-top: 8px;
	margin-bottom: 0px;
}

.mittagskarte .gb-loop-item p {
	margin-bottom: 0;
}

/* Speisekarte */
.text-deco-none a {
	text-decoration: none!important;
} 

/* Mobile Toggle */
.mobile-menu-control-wrapper .menu-toggle,
.mobile-menu-control-wrapper .menu-toggle:hover,
.mobile-menu-control-wrapper .menu-toggle:focus,
.has-inline-mobile-toggle #site-navigation.toggled {
    	background-color: transparent;
}

.topNavi .email::before {
	margin-right: -10px;
	width: 20px;
    height: 20px;
    display: inline-block;
    content: '';
    -webkit-mask: url(/wp-content/uploads/2024/11/beichristoph-mail.svg) no-repeat 50% 50%;
    mask: url(/wp-content/uploads/2024/11/beichristoph-mail.svg) no-repeat 50% 50%;
    -webkit-mask-size: cover;
    mask-size: cover;
    background-color: var(--standard-rot);
}

.topNavi .mobile::before {
	margin-right: -10px;
	width: 20px;
    height: 20px;
    display: inline-block;
    content: '';
    -webkit-mask: url(/wp-content/uploads/2024/11/beichristoph-telefon.svg) no-repeat 50% 50%;
    mask: url(/wp-content/uploads/2024/11/beichristoph-telefon.svg) no-repeat 50% 50%;
    -webkit-mask-size: cover;
    mask-size: cover;
    background-color: var(--standard-rot);
}

.topNavi .zummitnehmen::before {
	margin-right: -10px;
	width: 20px;
    height: 20px;
    display: inline-block;
    content: '';
    -webkit-mask: url(/wp-content/uploads/2024/11/beichristoph-gaststaette-mitnehmen.svg) no-repeat 50% 50%;
    mask: url(/wp-content/uploads/2024/11/beichristoph-gaststaette-mitnehmen.svg) no-repeat 50% 50%;
    -webkit-mask-size: cover;
    mask-size: cover;
    background-color: var(--standard-rot);
}

.topNavi .reservieren::before {
	margin-right: -10px;
	width: 20px;
    height: 20px;
    display: inline-block;
    content: '';
    -webkit-mask: url(/wp-content/uploads/2024/11/beichristoph-reservieren.svg) no-repeat 50% 50%;
    mask: url(/wp-content/uploads/2024/11/beichristoph-reservieren.svg) no-repeat 50% 50%;
    -webkit-mask-size: cover;
    mask-size: cover;
    background-color: var(--standard-rot);
}

/* Special Loop Speisekarte */
.gb-loop-item.speisekarte p {
	margin: 0px;
	padding: 0px;
}

.gb-loop-item.speisekarte .beschreibung {
	float: left;
	width: 80%;
}

.gb-loop-item.speisekarte span {
	float: right;
}

.gb-loop-item.speisekarte {
	border-bottom: 1px solid var(--color-line);
	padding-top: 12px;
	padding-bottom: 12px;
}

/* Jobs Teaser */
.jobs hr {
	background-color: rgba(112, 112, 112, .1);
	margin-top: 0;
	margin-bottom: 0;
}

.jobs p {
	margin-top: 1rem;
	margin-bottom: 1rem;
}

/* Formular anpassungen */
.wpforms-field-label-inline {
	font-size: 18px!important;
}

.wpforms-field-label {
	font-size: 18px!important;
	font-weight: normal!important;
}

.wpforms-submit {
	background-color: var(--standard-rot)!important;
	font-size: 18px!important;
	padding: 10px 50px!important;
}

/* Korrektur Header Schrift */
.page-id-1455 .gb-element-9c2090ea {
    margin-left: 0px!important;
}

.container.grid-container {
    width: auto;
    margin-top: -20px;
}

.page-id-10 .container.grid-container {
    width: auto;
    margin-top: 0px;
}

.page-id-10 .gb-element-9c2090ea {
    margin-left: 0px;
    width: 80%;
}

.page-id-1455 .gb-element-9c2090ea {
    margin-left: 0px;
    width: 80%;
}

.page-id-1455 .wp-block-buttons.is-content-justification-left.is-vertical {
    align-items: flex-start;
    margin-left: 0px;*/
}

/* Umbruch auf allen Headlines 
h1, h2, h3, h4, h5, h6 {
	word-wrap: break-word;
  	overflow-wrap: break-word;
	-webkit-hyphens: auto;
   	-moz-hyphens: auto;
   	hyphens: auto;
}*/

/* Entfernt das Wort Menü aus der Mobilen Navigation */
.mobile-menu {
	display: none;
}

.featured-image {
    display: none;
}

/*Responsive Text*/
@media (max-width: 768px) {
    body {
        font-size: 16px;
    }
    h1 {
        font-size: 36px;
    }
	
	h2 {
        font-size: 32px;
    }	
	
	h3 {
        font-size: 28px;
    }	
	
	/*h4 {
        font-size: 36px;
    }	
	
	h5 {
        font-size: 36px;
    }*/		
		
    p {
        font-size: 16px;
    }
}
